-- (c) Xavier Ferrair Peir, aka Mortimer of Outland EU - Horde
-- no code in this file may be used in other works without expressed permission
local bg = CreateFrame("Frame")

	--bg:RegisterEvent("CHAT_MSG_SAY")
	--bg:RegisterEvent("PLAYER_ENTERING_WORLD")
	bg:RegisterEvent("UPDATE_BATTLEFIELD_STATUS")
	--bg:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
	
	bg:SetScript("OnEvent", function(bg, event, msg)

		local winner = GetBattlefieldWinner();
		local isArena, isRegistered = IsActiveBattlefieldArena();
		local status, mapName = GetBattlefieldStatus(1);
		local fraction = UnitFactionGroup("player")
		local iswinner = (fraction == "Horde" and winner == 0) or (fraction == "Alliance" and winner == 1) -- Horde = 0, Alliance = 1	
		local islose = (fraction == "Horde" and winner == 1) or (fraction == "Alliance" and winner == 0) -- Horde = 0, Alliance = 1	
		local numScores = GetNumBattlefieldScores()
	
	for n = 1, numScores do
		local name, killingBlows, honorableKills, deaths, honorGained, faction, race, class, classToken, damageDone, healingDone, bgRating, ratingChange = GetBattlefieldScore(n)
		-- Battleground normal
		if ( name ) and not ( isArena ) and ( ratingChange == 0) then
			-- WIN
			if event == "UPDATE_BATTLEFIELD_STATUS" and ( name == UnitName("player") ) and iswinner and status == "active" then
				print("|cff00FF00Won |r" ..mapName.. "|cff00FF00 with |r" ..honorableKills.. "|cff00FF00 hks");
			end
			-- LOSE
			if event == "UPDATE_BATTLEFIELD_STATUS" and ( name == UnitName("player") ) and islose and status == "active" then
				print("|cffFE2E2ELose |r" ..mapName.. "|cffFE2E2E with |r" ..honorableKills.. "|cffFE2E2E hks");
			end
		end
		-- Battleground rated
		if ( name ) and not ( isArena ) and not ( ratingChange == 0) then
			-- WIN
			if event == "UPDATE_BATTLEFIELD_STATUS" and ( name == UnitName("player") ) and iswinner and status == "active" then
				local actualRating = (bgRating + ratingChange)
				print("|cff00FF00Won |r" ..mapName.. "|cff00FF00 @ |r" ..actualRating.. "");
			end
			-- LOSE
			if event == "UPDATE_BATTLEFIELD_STATUS" and ( name == UnitName("player") ) and islose and status == "active" then
				local actualRating = (bgRating + ratingChange)
				print("|cffFE2E2ELose |r" ..mapName.. "|cffFE2E2E @ |r" ..actualRating.. "");
			end
		end
	end		
	--for a = 1, MAX_ARENA_TEAMS  do 
	--	local name, killingBlows, honorableKills, deaths, honorGained, faction, race, class, classToken, damageDone, healingDone, bgRating, ratingChange = GetBattlefieldScore(1)
	--	local teamName, teamSize, teamRating, weekPlayed, weekWins, seasonPlayed, seasonWins, playerPlayed, seasonPlayerPlayed, teamRank, playerRating = GetArenaTeam(1)
	--	if ( name ) and ( isArena ) then
	--		if event == "UPDATE_BATTLEFIELD_STATUS" and ( name == UnitName("player") ) and iswinner and status == "active" then
				-- Arena type checker
	--			SendChatMessage("won " ..mapName.. " @ " ..teamRating.. "", "OFFICER", NIL);
	--		end
	--	end
	--end
end)